Bug 53058 - Installer hangs when using Sony CDU31A CDROM drive.
Installer hangs when using Sony CDU31A CDROM drive.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-02 17:18 EDT by Douwe Kiestra
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Douwe Kiestra 2001-09-02 17:18:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
When trying to install Red Hat Linux 7.1 on my 486 PC with a Sony CDU31A 
CDROM drive, the installation fails when trying to access the CD.

I used the Red Hat 7.1 BOOT.IMG and OLDCDROM.IMG image files (transferred 
to floppies).
When using the Red Hat 7.0 BOOT.IMG and DRIVERS.IMG images in conjunction 
with the Red Hat 7.1 CD's the installation succeeds.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Make sure you have a PC with a Sony CDU31A CDROM drive.
2. Install Red Hat Linux 7.1 using BOOT.IMG and OLDCDROM.IMG images
3. Installation hangs when trying to access the Red Hat Linux 7.1 CD.

Actual Results:  Installation hangs.
Oops 0002 error plus i486 register dump.

Expected Results:  Installation should have proceded.

Additional info:
Comment 1 Matt Wilson 2001-09-04 10:19:04 EDT
please copy the full oops; this is a kernel problem.
Comment 2 Douwe Kiestra 2001-09-12 05:01:49 EDT
Here is the complete oops info:

                             Oops: 0002
CPU:    0
EIP:    0010:[<c203606c>]
EFLAGS: 00010287
eax: 00000004   ebx: ffffe000   ecx: ffffe800   edx: c16f0342
esi: 00002000   edi: c203c200   ebp: 00000010   esp: c16f7df8
ds: 0018   es: 0018   ss: 0018
Process loop0 (pid: 29, stackpage=c16f7000)
Stack: c16f7e7c 00002000 00004676 c16f6000 c16f7e7c c20362f7 c16e2000 00002000
       00000010 00000000 00000000 00002000 00000000 c16f7e68 00000010 c16e2000
       c16f7e7c 000fc9f8 c16f7e68 00000010 c20367e1 c16e2000 000fc9f8 00000010
Call Trace: [<c20362f7>] [<c20367e1>] [<c0130a2e>] [<c0157076>] [<c0116c15>]
            [<c0131af9>] [<c0121444>] [<c0121c80>] [<c016449f>] [<c0161af8>]
            [<c01619c0>] [<ffff0f00>] [<c0161b78>] [<c0161ff8>] [<c0161f2c>]
            [<ffff0f00>] [<ffff0f00>] [<c01074fe>] [<c0161f2c>]

Code: f3 6c 8b 1d 14 9b 03 c2 29 2d 04 9b 03 c2 01 2d 50 9d 03 c2

Now follows a complete sequence of actions leading to the problem:

- Inserted Red Hat 7.1 BOOT.IMG diskette in drive A.
- Inserted Red Hat 7.1 CD1 in CDROM drive.
- Restarted computer.
- Typed "linux dd" at "boot:" prompt and pressed Enter.
- Selected "Yes" when asked for drivers disk.
- Inserted the Red Hat 7.1 OLDCDROM.IMG diskette in drive A.
- Selected "OK" and pressed Enter.
- Selected "English" and pressed Enter.
- Selected "us" and pressed Enter.
- Selected "Local CDROM" and pressed Enter.
- Selected "Other CDROM" and pressed Enter.
- Selected "Sony CDU-31A CDROM (cdu31a)".
- Checked the "Specify module parameters" checkbox.
- Selected "OK" and pressed Enter.

    Base I/O Address:    cdu31a_port=0x340
    IRQ                  cdu31a_irq=

- Selected "OK" and pressed Enter.

Setting "cdu31a_irq=0" does not solve the problem.
CPU is an Intel 486DX2 50 MHz processor.

Comment 3 Bugzilla owner 2004-09-30 11:39:09 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.